% find phase difference for c - input is the angle function
% of the ffts.  The angle is taken in Matlab before the data is
% sent, since the angle function is very fast.

function phase_diff = phasedif(aftl,aftr,fnumb)

phase_diff = zeros(size(1:fnumb));

for x1 = 1:fnumb
   phase_diff(x1) = aftl(x1) - aftr(x1);
   if phase_diff(x1) > 0
       if phase_diff(x1) > pi
	       phase_diff(x1) = phase_diff(x1)-2*pi;
	   end
   else
       if phase_diff(x1) < -pi
	       phase_diff(x1) = phase_diff(x1)+2*pi;
	   end
   end
end

